package com.zjty.inspect.service;

import com.zjty.inspect.entity.InspectParameter;
import com.zjty.inspect.entity.MultipartFileParam;
import com.zjty.inspect.entity.ReportVo;

import java.io.File;
import java.io.IOException;
import java.util.Map;

public interface InspectService {
    /**
     * 评估
     *
     * @param inspectParameter
     * @return
     */
    ReportVo inspect(ReportVo reportVo, InspectParameter inspectParameter) throws IOException;

    String generateHtml(String templateContent, Map model);


    String freemakerData(ReportVo inspect, int count, int support);

    File chunkUploadByMappedByteBuffer(MultipartFileParam param, String filePath) throws Exception;
}